function buttonesclockedAFS(hObject, eventdata, parentfig, Empty_Button, Buttons, AxesAFS, AxesSOL, lcs, LCS)
part = get(hObject,'UserData');
data = get(Empty_Button,'UserData');

if (isfield(data,'isimport') == 1) && (data.isimport == 1)
    for i=1:data.import.s
        if data.import.adaptedis == 1
            plot(AxesSOL, data.x(data.import.adaptedI(1):data.import.adaptedI(2)), data.import.A(i,:),'c','Linewidth',1)
        else
            plot(AxesSOL, data.x, data.import.A(i,:),'c','Linewidth',1)
        end
        hold(AxesSOL,'on');
    end
end

if part == 1
    plotAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS);
    onoffButton(Buttons,[],[13:16 20]);
    data.isExpert1 = 0;
    data.isExpert2 = 0;
else
    data = plotlockedAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS, 1);
    plot(AxesSOL,data.x,[1 data.FixPoint1]*data.V(:,1:3)','color',data.colorExpert(1,:),'Linewidth',2);

    onoffButton(Buttons,[],[14 16]);
    data.isExpert2 = 0;
end

hold(AxesSOL,'off');

data.isLastClickLockMode = 0;

set(Empty_Button,'UserData',data);
     